<script lang="ts">
  // Define props
  export let active: string;
</script>

<div id="sidebar">
  <nav>
    <ul>
      <li class:active={active === 'routes'}>
        <a href="/">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"
            ><g
              fill="none"
              stroke="currentColor"
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              ><path d="M8 3H3v5m13-5h5v5" /><path
                d="m3 3l7.536 7.536A5 5 0 0 1 12 14.07V21m6-14.99V6m-2 2.02v-.01M14 10v.01"
              /></g
            ></svg
          >
          Routes
        </a>
      </li>

      <li class:active={active === 'policies'}>
        <a href="/policies">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"
            ><path
              fill="none"
              stroke="currentColor"
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M4 4h16v2.172a2 2 0 0 1-.586 1.414L15 12v7l-6 2v-8.5L4.52 7.572A2 2 0 0 1 4 6.227z"
            /></svg
          >
          Policies
        </a>
      </li>

      <li class:active={active === 'data'}>
        <a href="/data">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"
            ><path
              fill="none"
              stroke="currentColor"
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M3 5a2 2 0 0 1 2-2h14a2 2 0 0 1 2 2v14a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2zm0 5h18M10 3v18"
            /></svg
          >
          Data
        </a>
      </li>

      <li class:active={active === 'playground'}>
        <a href="/playground">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"
            ><path
              d="M5 5v14a2 2 0 0 0 2.75 1.84L20 13.74a2 2 0 0 0 0-3.5L7.75 3.14A2 2 0 0 0 5 4.89"
              fill="none"
              stroke="currentColor"
              stroke-width="2"
              stroke-linecap="round"
              stroke-linejoin="round"
            /></svg
          >
          Playground
        </a>
      </li>
    </ul>
  </nav>
</div>

<style lang="postcss">
  #sidebar {
    @apply col-span-5 border-r border-gray-200 p-4 sm:col-span-4 lg:col-span-3;

    nav {
      ul {
        @apply font-medium text-slate-500;
      }

      li {
        @apply mb-2;
      }

      a {
        @apply flex items-center rounded-md px-3 py-2.5 hover:bg-indigo-100 hover:text-slate-900;

        &:hover svg {
          @apply text-indigo-500;
        }
      }

      svg {
        @apply mr-3 h-6 w-6 shrink-0 text-slate-400;
      }

      .active a {
        @apply bg-indigo-100 text-slate-900;

        svg {
          @apply text-indigo-500;
        }
      }
    }
  }
</style>
